diff --git a/tests/api/test_custom_view.py b/tests/api/test_custom_view.py
index 1dc91fa1..0c96d80e 100644
--- a/tests/api/test_custom_view.py
+++ b/tests/api/test_custom_view.py
@@ -7,7 +7,9 @@ import zipfile
 
 import pytest
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs import fields
 from wcs.carddef import CardDef
diff --git a/tests/api/test_formdata.py b/tests/api/test_formdata.py
index c125d824..746b0c01 100644
--- a/tests/api/test_formdata.py
+++ b/tests/api/test_formdata.py
@@ -12,7 +12,10 @@ import zipfile
 import pytest
 from django.utils.encoding import force_bytes
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app, login
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
 from wcs import fields
 from wcs.blocks import BlockDef
@@ -23,7 +26,9 @@ from wcs.qommon import ods
 from wcs.qommon.form import PicklableUpload
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.ident.password_accounts import PasswordAccount
-from wcs.workflows import EditableWorkflowStatusItem, Workflow, WorkflowBackofficeFieldsFormDef
+from wcs.workflows import EditableWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
 from .utils import sign_uri
 
diff --git a/tests/api/test_formdef.py b/tests/api/test_formdef.py
index 3490c29b..316b2658 100644
--- a/tests/api/test_formdef.py
+++ b/tests/api/test_formdef.py
@@ -12,16 +12,20 @@ import mock
 import pytest
 from django.utils.encoding import force_text
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
-from wcs import fields, qommon
+from wcs import fields
+from wcs import qommon
 from wcs.api_utils import sign_url
 from wcs.data_sources import NamedDataSource
 from wcs.formdef import FormDef
 from wcs.qommon.form import PicklableUpload
 from wcs.qommon.http_request import HTTPRequest
 from wcs.wf.jump import JumpWorkflowStatusItem
-from wcs.workflows import Workflow, WorkflowBackofficeFieldsFormDef
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
 from .utils import sign_uri
 
diff --git a/tests/api/test_user.py b/tests/api/test_user.py
index e418ee0c..bb8e6079 100644
--- a/tests/api/test_user.py
+++ b/tests/api/test_user.py
@@ -5,14 +5,17 @@ import os
 
 import pytest
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs import fields
 from wcs.formdef import FormDef
 from wcs.qommon.form import PicklableUpload
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.ident.password_accounts import PasswordAccount
-from wcs.workflows import Workflow, WorkflowVariablesFieldsFormDef
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowVariablesFieldsFormDef
 
 from .utils import sign_uri
 
diff --git a/tests/api/test_utils.py b/tests/api/test_utils.py
index 00503a7b..9e32d1a1 100644
--- a/tests/api/test_utils.py
+++ b/tests/api/test_utils.py
@@ -1,6 +1,8 @@
 import pytest
-from quixote import cleanup, get_response
-from utilities import clean_temporary_pub, create_temporary_pub
+from quixote import cleanup
+from quixote import get_response
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
 from wcs import sessions
 from wcs.api_utils import get_query_flag
diff --git a/tests/api/test_workflow.py b/tests/api/test_workflow.py
index f431747b..7b67a89d 100644
--- a/tests/api/test_workflow.py
+++ b/tests/api/test_workflow.py
@@ -4,7 +4,9 @@ import os
 
 import pytest
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs import fields
 from wcs.formdef import FormDef
diff --git a/tests/backoffice_pages/test_all.py b/tests/backoffice_pages/test_all.py
index 6e9961f2..d1d9f660 100644
--- a/tests/backoffice_pages/test_all.py
+++ b/tests/backoffice_pages/test_all.py
@@ -4,51 +4,53 @@ import datetime
 import io
 import json
 import os
+import random
 import re
 import time
-import random
 import zipfile
 
 import mock
 import pytest
-
 from quixote import get_publisher
 from quixote.http_request import Upload as QuixoteUpload
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+
+import wcs.qommon.storage as st
+from wcs import fields
 from wcs.blocks import BlockDef
+from wcs.carddef import CardDef
+from wcs.categories import Category
+from wcs.formdef import FormDef
 from wcs.qommon.form import PicklableUpload
 from wcs.qommon.form import UploadedFile
-from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.http_request import HTTPRequest
-import wcs.qommon.storage as st
+from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.roles import logged_users_role
-from wcs.workflows import (
-    Workflow,
-    CommentableWorkflowStatusItem,
-    ChoiceWorkflowStatusItem,
-    EditableWorkflowStatusItem,
-    DisplayMessageWorkflowStatusItem,
-    JumpOnSubmitWorkflowStatusItem,
-    WorkflowCriticalityLevel,
-    WorkflowBackofficeFieldsFormDef,
-)
 from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
+from wcs.wf.create_carddata import CreateCarddataWorkflowStatusItem
+from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem
+from wcs.wf.create_formdata import Mapping
 from wcs.wf.export_to_model import ExportToModel
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.wf.jump import JumpWorkflowStatusItem
-from wcs.wf.wscall import WebserviceCallStatusItem
 from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
 from wcs.wf.resubmit import ResubmitWorkflowStatusItem
-from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, Mapping
-from wcs.wf.create_carddata import CreateCarddataWorkflowStatusItem
-from wcs.carddef import CardDef
-from wcs.categories import Category
-from wcs.formdef import FormDef
-from wcs import fields
+from wcs.wf.wscall import WebserviceCallStatusItem
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import DisplayMessageWorkflowStatusItem
+from wcs.workflows import EditableWorkflowStatusItem
+from wcs.workflows import JumpOnSubmitWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
+from wcs.workflows import WorkflowCriticalityLevel
 from wcs.wscalls import NamedWsCall
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
-
 
 def pytest_generate_tests(metafunc):
     if 'pub' in metafunc.fixturenames:
@@ -1755,7 +1757,8 @@ def test_backoffice_statistics_with_no_formdefs(pub):
     create_environment(pub)
     FormDef.wipe()
     if pub.is_using_postgresql():
-        from wcs.sql import get_connection_and_cursor, drop_global_views
+        from wcs.sql import drop_global_views
+        from wcs.sql import get_connection_and_cursor
 
         conn, cur = get_connection_and_cursor()
         drop_global_views(conn, cur)
@@ -3144,7 +3147,8 @@ def test_management_views_with_no_formdefs(pub):
     create_environment(pub)
     FormDef.wipe()
 
-    from wcs.sql import get_connection_and_cursor, drop_global_views
+    from wcs.sql import drop_global_views
+    from wcs.sql import get_connection_and_cursor
 
     conn, cur = get_connection_and_cursor()
     drop_global_views(conn, cur)
diff --git a/tests/backoffice_pages/test_carddata.py b/tests/backoffice_pages/test_carddata.py
index b4933a1b..829a5ad1 100644
--- a/tests/backoffice_pages/test_carddata.py
+++ b/tests/backoffice_pages/test_carddata.py
@@ -4,6 +4,10 @@ import os
 import uuid
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
 from wcs import fields
@@ -13,9 +17,9 @@ from wcs.categories import CardDefCategory
 from wcs.formdef import FormDef
 from wcs.qommon.http_request import HTTPRequest
 from wcs.wf.wscall import WebserviceCallStatusItem
-from wcs.workflows import ChoiceWorkflowStatusItem, Workflow
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import Workflow
 
-from utilities import clean_temporary_pub, create_temporary_pub, get_app, login
 from .test_all import create_user
 
 
diff --git a/tests/backoffice_pages/test_custom_view.py b/tests/backoffice_pages/test_custom_view.py
index 0cb9bcb5..58a6ea11 100644
--- a/tests/backoffice_pages/test_custom_view.py
+++ b/tests/backoffice_pages/test_custom_view.py
@@ -3,16 +3,20 @@ import os
 import re
 
 import pytest
-
 from quixote import get_publisher
-from wcs.qommon.ident.password_accounts import PasswordAccount
-from wcs.qommon.http_request import HTTPRequest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+
+from wcs import fields
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
-from wcs import fields
+from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.ident.password_accounts import PasswordAccount
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
-from .test_all import create_user, create_superuser
+from .test_all import create_superuser
+from .test_all import create_user
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/backoffice_pages/test_export.py b/tests/backoffice_pages/test_export.py
index 16e5d14f..73b33cce 100644
--- a/tests/backoffice_pages/test_export.py
+++ b/tests/backoffice_pages/test_export.py
@@ -9,15 +9,18 @@ import xml.etree.ElementTree as ET
 import zipfile
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon import ods
+from wcs import fields
 from wcs.blocks import BlockDef
+from wcs.formdef import FormDef
+from wcs.qommon import ods
 from wcs.qommon.form import PicklableUpload
 from wcs.qommon.http_request import HTTPRequest
-from wcs.formdef import FormDef
-from wcs import fields
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/backoffice_pages/test_submission.py b/tests/backoffice_pages/test_submission.py
index 453e2984..57b159b1 100644
--- a/tests/backoffice_pages/test_submission.py
+++ b/tests/backoffice_pages/test_submission.py
@@ -6,7 +6,10 @@ import time
 import urllib.parse
 
 import pytest
-from utilities import clean_temporary_pub, create_temporary_pub, get_app, login
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
 from wcs import fields
 from wcs.api_utils import sign_url
@@ -16,9 +19,11 @@ from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
 from wcs.wf.dispatch import DispatchWorkflowStatusItem
 from wcs.wf.jump import JumpWorkflowStatusItem
 from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
-from wcs.workflows import Workflow, WorkflowBackofficeFieldsFormDef
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
-from .test_all import create_superuser, create_user
+from .test_all import create_superuser
+from .test_all import create_user
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/conftest.py b/tests/conftest.py
index cf8548c0..a663d5ac 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -2,8 +2,9 @@ import configparser
 import os
 
 import pytest
-
-from utilities import EmailsMocking, SMSMocking, HttpRequestsMocking
+from utilities import EmailsMocking
+from utilities import HttpRequestsMocking
+from utilities import SMSMocking
 
 
 def site_options(request, pub, section, variable, value):
diff --git a/tests/form_pages/test_all.py b/tests/form_pages/test_all.py
index 26e5a31c..46700121 100644
--- a/tests/form_pages/test_all.py
+++ b/tests/form_pages/test_all.py
@@ -1,58 +1,63 @@
 # -*- coding: utf-8 -*-
 
+import hashlib
 import io
 import json
-import pytest
-import hashlib
 import os
 import re
 import time
 import urllib.parse
+import xml.etree.ElementTree as ET
 import zipfile
 
-from webtest import Upload, Hidden, Radio
 import mock
-import xml.etree.ElementTree as ET
+import pytest
+from webtest import Hidden
+from webtest import Radio
+from webtest import Upload
 
 try:
     from PIL import Image
 except ImportError:
     Image = None
 
-from django.utils.encoding import force_bytes, force_text
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
+from wcs import fields
+from wcs.blocks import BlockDef
+from wcs.carddef import CardDef
+from wcs.categories import Category
+from wcs.data_sources import NamedDataSource
+from wcs.formdef import FormDef
+from wcs.forms.root import PublicFormStatusPage
 from wcs.qommon import force_str
 from wcs.qommon.emails import docutils
 from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.misc import ConnectionError
-from wcs.carddef import CardDef
-from wcs.formdef import FormDef
-from wcs.workflows import (
-    Workflow,
-    EditableWorkflowStatusItem,
-    DisplayMessageWorkflowStatusItem,
-    WorkflowBackofficeFieldsFormDef,
-    ChoiceWorkflowStatusItem,
-    JumpOnSubmitWorkflowStatusItem,
-    CommentableWorkflowStatusItem,
-    WorkflowVariablesFieldsFormDef,
-)
+from wcs.roles import logged_users_role
+from wcs.tracking_code import TrackingCode
 from wcs.wf.backoffice_fields import SetBackofficeFieldsWorkflowStatusItem
+from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem
+from wcs.wf.create_formdata import Mapping
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.wf.jump import JumpWorkflowStatusItem
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
 from wcs.wf.resubmit import ResubmitWorkflowStatusItem
-from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, Mapping
-from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
-from wcs.blocks import BlockDef
-from wcs.categories import Category
-from wcs.roles import logged_users_role
-from wcs.tracking_code import TrackingCode
-from wcs.data_sources import NamedDataSource
-from wcs import fields
-from wcs.forms.root import PublicFormStatusPage
-
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import DisplayMessageWorkflowStatusItem
+from wcs.workflows import EditableWorkflowStatusItem
+from wcs.workflows import JumpOnSubmitWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
+from wcs.workflows import WorkflowVariablesFieldsFormDef
 
 
 def assert_equal_zip(stream1, stream2):
diff --git a/tests/form_pages/test_block.py b/tests/form_pages/test_block.py
index f55ed7b4..36b894c9 100644
--- a/tests/form_pages/test_block.py
+++ b/tests/form_pages/test_block.py
@@ -2,20 +2,24 @@
 
 import io
 import json
-import mock
 
+import mock
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
+from wcs import fields
 from wcs.blocks import BlockDef
-from wcs.formdef import FormDef
-from wcs.workflows import Workflow
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
 from wcs.categories import Category
 from wcs.data_sources import NamedDataSource
-from wcs import fields
+from wcs.formdef import FormDef
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
+from wcs.workflows import Workflow
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_user
 
 
diff --git a/tests/form_pages/test_formdata.py b/tests/form_pages/test_formdata.py
index 2c9d9246..8a00dbbf 100644
--- a/tests/form_pages/test_formdata.py
+++ b/tests/form_pages/test_formdata.py
@@ -13,27 +13,32 @@ import mock
 import pytest
 from django.utils.encoding import force_bytes
 from quixote.http_request import Upload as QuixoteUpload
-from webtest import Upload, Hidden
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+from webtest import Hidden
+from webtest import Upload
 
 from wcs import fields
 from wcs.data_sources import NamedDataSource
 from wcs.formdef import FormDef
 from wcs.qommon.form import UploadedFile
 from wcs.wf.attachment import AddAttachmentWorkflowStatusItem
-from wcs.wf.export_to_model import ExportToModel, transform_to_pdf
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+from wcs.wf.export_to_model import ExportToModel
+from wcs.wf.export_to_model import transform_to_pdf
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.wf.jump import JumpWorkflowStatusItem
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
-from wcs.workflows import (
-    ChoiceWorkflowStatusItem,
-    DisplayMessageWorkflowStatusItem,
-    Workflow,
-    WorkflowBackofficeFieldsFormDef,
-)
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import DisplayMessageWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 from wcs.wscalls import NamedWsCall
 
-from .test_all import create_user, create_user_and_admin
-from utilities import clean_temporary_pub, create_temporary_pub, get_app, login
+from .test_all import create_user
+from .test_all import create_user_and_admin
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/test_auth_pages.py b/tests/test_auth_pages.py
index e1197241..4e135075 100644
--- a/tests/test_auth_pages.py
+++ b/tests/test_auth_pages.py
@@ -1,7 +1,10 @@
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
 from wcs.qommon.ident.password_accounts import PasswordAccount
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 
 
 @pytest.fixture
diff --git a/tests/test_carddef.py b/tests/test_carddef.py
index d9524ab4..e9114cbe 100644
--- a/tests/test_carddef.py
+++ b/tests/test_carddef.py
@@ -1,16 +1,17 @@
 import io
-import pytest
 import xml.etree.ElementTree as ET
 
-from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon.misc import indent_xml as indent
-from wcs.qommon.template import Template
-from wcs.categories import CardDefCategory
+import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+
 from wcs.carddef import CardDef
+from wcs.categories import CardDefCategory
 from wcs.fields import ItemField
 from wcs.fields import StringField
-
-from utilities import create_temporary_pub, clean_temporary_pub
+from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.misc import indent_xml as indent
+from wcs.qommon.template import Template
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/test_categories.py b/tests/test_categories.py
index ed7d3d89..97f9a303 100644
--- a/tests/test_categories.py
+++ b/tests/test_categories.py
@@ -4,13 +4,12 @@ import pickle
 import shutil
 
 import pytest
-
 from quixote import cleanup
-
-from wcs.categories import Category, CardDefCategory
-
 from utilities import create_temporary_pub
 
+from wcs.categories import CardDefCategory
+from wcs.categories import Category
+
 
 def setup_module(module):
     cleanup()
diff --git a/tests/test_ctl.py b/tests/test_ctl.py
index f817f5a1..46055fe0 100644
--- a/tests/test_ctl.py
+++ b/tests/test_ctl.py
@@ -1,32 +1,35 @@
+import collections
 import os
-import pytest
 import sys
-import collections
-from email.mime.text import MIMEText
 from email.mime.multipart import MIMEMultipart
-import psycopg2
+from email.mime.text import MIMEText
 
-from django.core.management import call_command, CommandError
+import psycopg2
+import pytest
+from django.core.management import CommandError
+from django.core.management import call_command
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
 
-from wcs.formdef import FormDef
-from wcs.workflows import Workflow
-from wcs.wf.jump import JumpWorkflowStatusItem
-from wcs.fields import StringField, EmailField
 import wcs.qommon.ctl
+from wcs.ctl.delete_tenant import CmdDeleteTenant
+from wcs.ctl.management.commands.runscript import Command as CmdRunScript
+from wcs.ctl.management.commands.trigger_jumps import select_and_jump_formdata
+from wcs.ctl.rebuild_indexes import rebuild_vhost_indexes
+from wcs.ctl.wipe_data import CmdWipeData
+from wcs.fields import EmailField
+from wcs.fields import StringField
+from wcs.formdef import FormDef
 from wcs.qommon.afterjobs import AfterJob
 from wcs.qommon.management.commands.collectstatic import Command as CmdCollectStatic
+from wcs.qommon.management.commands.makemessages import Command as CmdMakeMessages
 from wcs.qommon.management.commands.migrate import Command as CmdMigrate
 from wcs.qommon.management.commands.migrate_schemas import Command as CmdMigrateSchemas
-from wcs.qommon.management.commands.makemessages import Command as CmdMakeMessages
-from wcs.ctl.rebuild_indexes import rebuild_vhost_indexes
-from wcs.ctl.wipe_data import CmdWipeData
-from wcs.ctl.management.commands.runscript import Command as CmdRunScript
-from wcs.ctl.management.commands.trigger_jumps import select_and_jump_formdata
-from wcs.ctl.delete_tenant import CmdDeleteTenant
+from wcs.sql import cleanup_connection
+from wcs.sql import get_connection_and_cursor
+from wcs.wf.jump import JumpWorkflowStatusItem
+from wcs.workflows import Workflow
 from wcs.workflows import WorkflowStatusItem
-from wcs.sql import get_connection_and_cursor, cleanup_connection
-
-from utilities import create_temporary_pub, clean_temporary_pub
 
 
 @pytest.fixture
diff --git a/tests/test_datasource.py b/tests/test_datasource.py
index b02c072b..21e92aee 100644
--- a/tests/test_datasource.py
+++ b/tests/test_datasource.py
@@ -2,21 +2,26 @@
 
 import codecs
 import io
-import pytest
-import os
 import json
+import os
 import shutil
 import urllib.parse
 
+import mock
+import pytest
 from quixote import cleanup
+from test_widgets import MockHtmlForm
+from test_widgets import mock_form_submission
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+
+from wcs import data_sources
+from wcs import fields
+from wcs.data_sources import NamedDataSource
+from wcs.data_sources import register_data_source_function
+from wcs.qommon.form import Form
+from wcs.qommon.form import get_request
 from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon.form import get_request, Form
-from wcs import fields, data_sources
-from wcs.data_sources import NamedDataSource, register_data_source_function
-
-import mock
-from test_widgets import MockHtmlForm, mock_form_submission
-from utilities import create_temporary_pub, clean_temporary_pub
 
 
 @pytest.fixture
diff --git a/tests/test_datasource_chrono.py b/tests/test_datasource_chrono.py
index 08377544..6f0a1721 100644
--- a/tests/test_datasource_chrono.py
+++ b/tests/test_datasource_chrono.py
@@ -1,19 +1,21 @@
 # -*- coding: utf-8 -*-
 
 import io
-import pytest
 import json
 import shutil
 
+import mock
+import pytest
 from quixote import cleanup
+from utilities import create_temporary_pub
+
 from wcs import fields
-from wcs.data_sources import NamedDataSource, build_agenda_datasources, collect_agenda_data
+from wcs.data_sources import NamedDataSource
+from wcs.data_sources import build_agenda_datasources
+from wcs.data_sources import collect_agenda_data
 from wcs.formdef import FormDef
-from wcs.qommon.misc import ConnectionError
 from wcs.qommon.http_request import HTTPRequest
-
-import mock
-from utilities import create_temporary_pub
+from wcs.qommon.misc import ConnectionError
 
 
 def setup_module(module):
diff --git a/tests/test_ezt.py b/tests/test_ezt.py
index 513436c9..c2bd37c5 100644
--- a/tests/test_ezt.py
+++ b/tests/test_ezt.py
@@ -1,21 +1,21 @@
 import datetime
 import io
-import pytest
 import os
 
+import pytest
 from quixote import cleanup
-from wcs.qommon.ezt import (
-    Template,
-    UnclosedBlocksError,
-    UnmatchedEndError,
-    UnmatchedElseError,
-    ArgCountSyntaxError,
-    _re_parse,
-)
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+
+from wcs.qommon.ezt import ArgCountSyntaxError
+from wcs.qommon.ezt import Template
+from wcs.qommon.ezt import UnclosedBlocksError
+from wcs.qommon.ezt import UnmatchedElseError
+from wcs.qommon.ezt import UnmatchedEndError
+from wcs.qommon.ezt import _re_parse
 from wcs.scripts import ScriptsSubstitutionProxy
 
-from utilities import get_app, create_temporary_pub, clean_temporary_pub
-
 
 def setup_module(module):
     cleanup()
diff --git a/tests/test_fc_auth.py b/tests/test_fc_auth.py
index 655684b0..a715e8c1 100644
--- a/tests/test_fc_auth.py
+++ b/tests/test_fc_auth.py
@@ -2,11 +2,13 @@ import base64
 import json
 import urllib.parse
 
-from django.utils.encoding import force_bytes, force_text
-from quixote import cleanup, get_session_manager
-
-from utilities import get_app, create_temporary_pub
 import mock
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import cleanup
+from quixote import get_session_manager
+from utilities import create_temporary_pub
+from utilities import get_app
 
 PROFILE = {
     'fields': [
diff --git a/tests/test_fields.py b/tests/test_fields.py
index 659f65a5..d3cb6219 100644
--- a/tests/test_fields.py
+++ b/tests/test_fields.py
@@ -3,20 +3,21 @@
 import re
 import shutil
 
-from bs4 import BeautifulSoup
 import pytest
-
+from bs4 import BeautifulSoup
 from quixote import cleanup
 from quixote.http_request import Upload
-from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon import sessions
+from utilities import MockSubstitutionVariables
+from utilities import create_temporary_pub
+
 from wcs import fields
-from wcs.qommon.form import Form, PicklableUpload
 from wcs.formdef import FormDef
+from wcs.qommon import sessions
+from wcs.qommon.form import Form
+from wcs.qommon.form import PicklableUpload
+from wcs.qommon.http_request import HTTPRequest
 from wcs.variables import LazyFormData
 
-from utilities import create_temporary_pub, MockSubstitutionVariables
-
 
 def setup_module(module):
     cleanup()
diff --git a/tests/test_formdata.py b/tests/test_formdata.py
index 81e38eff..62fa28c1 100644
--- a/tests/test_formdata.py
+++ b/tests/test_formdata.py
@@ -2,36 +2,35 @@
 
 import collections
 import datetime
-import pytest
 import time
 
 import mock
+import pytest
 from quixote import get_publisher
 from quixote.http_request import Upload
-from wcs.qommon import force_str
-from wcs.qommon.template import Template
-from wcs.qommon.form import PicklableUpload
-from wcs.qommon.http_request import HTTPRequest
-from wcs import fields, formdef
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+
+from wcs import fields
+from wcs import formdef
+from wcs import sessions
 from wcs.blocks import BlockDef
 from wcs.carddef import CardDef
 from wcs.categories import Category
 from wcs.conditions import Condition
-from wcs.formdef import FormDef
 from wcs.formdata import Evolution
-from wcs import sessions
+from wcs.formdef import FormDef
+from wcs.qommon import force_str
+from wcs.qommon.form import PicklableUpload
+from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.template import Template
 from wcs.variables import LazyFormData
-from wcs.workflows import (
-    Workflow,
-    WorkflowStatusItem,
-    WorkflowCriticalityLevel,
-    WorkflowBackofficeFieldsFormDef,
-)
-from wcs.wf.wscall import JournalWsCallErrorPart
-
 from wcs.wf.register_comment import JournalEvolutionPart
-
-from utilities import create_temporary_pub, clean_temporary_pub
+from wcs.wf.wscall import JournalWsCallErrorPart
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
+from wcs.workflows import WorkflowCriticalityLevel
+from wcs.workflows import WorkflowStatusItem
 
 
 def pytest_generate_tests(metafunc):
